PlanDocket

Service Categories

Business+

Read the categories of your service catalogue (technology, furniture and so on).

Read Only This endpoint only supports GET requests.
Required scopes: services
Access level: GET services:read About access levels
Feature flag: services

Endpoints

GET /api/v1/service-categories

List service categories (active ones by default; is_active=all for every row)

GET /api/v1/service-categories/{id}

Retrieve a single service category

Query Parameters

Parameter Description
is_active Default: active entries only; 0 = only inactive, all = every entry
page Page number (default: 1)
per_page Results per page (default: 25, max. 100)

Response Schema

Field Type
id integer
category_key string
category_name string
description string|null
color string|null
is_active boolean
sort_order integer
service_count integer
created_at string
updated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/service-categories" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/service-categories',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/service-categories`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/service-categories', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "category_key": "string",
            "category_name": "string",
            "description": "string",
            "color": "string",
            "is_active": true,
            "sort_order": 1,
            "service_count": 1,
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}